org.apache.solr.security

## Class KerberosPlugin.RequestContinuesRecorderAuthenticationHandler

- java.lang.Object
- - org.apache.solr.security.KerberosPlugin.RequestContinuesRecorderAuthenticationHandler

- All Implemented Interfaces:
    org.apache.hadoop.security.authentication.server.AuthenticationHandler
  Enclosing class:
    KerberosPlugin

      public static class KerberosPlugin.RequestContinuesRecorderAuthenticationHandler
      extends Object
      implements org.apache.hadoop.security.authentication.server.AuthenticationHandler

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hadoop.security.authentication.server.AuthenticationHandler

      `WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestContinuesRecorderAuthenticationHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.security.authentication.server.AuthenticationToken` | `authenticate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `destroy()`
    `String` | `getType()`
    `void` | `init(Properties config)`
    `boolean` | `managementOperation(org.apache.hadoop.security.authentication.server.AuthenticationToken token, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setAuthHandler(org.apache.hadoop.security.authentication.server.AuthenticationHandler authHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestContinuesRecorderAuthenticationHandler

          public RequestContinuesRecorderAuthenticationHandler()

  - ### Method Detail

    - #### setAuthHandler

          public void setAuthHandler(org.apache.hadoop.security.authentication.server.AuthenticationHandler authHandler)

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.apache.hadoop.security.authentication.server.AuthenticationHandler`

    - #### init

          public void init(Properties config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `org.apache.hadoop.security.authentication.server.AuthenticationHandler`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.apache.hadoop.security.authentication.server.AuthenticationHandler`

    - #### managementOperation

          public boolean managementOperation(org.apache.hadoop.security.authentication.server.AuthenticationToken token,
                                             javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)
                                      throws IOException,
                                             org.apache.hadoop.security.authentication.client.AuthenticationException

      Specified by:
        `managementOperation` in interface `org.apache.hadoop.security.authentication.server.AuthenticationHandler`
      Throws:
        `IOException`
        `org.apache.hadoop.security.authentication.client.AuthenticationException`

    - #### authenticate

          public org.apache.hadoop.security.authentication.server.AuthenticationToken authenticate(javax.servlet.http.HttpServletRequest request,
                                                                                                   javax.servlet.http.HttpServletResponse response)
                                                                                            throws IOException,
                                                                                                   org.apache.hadoop.security.authentication.client.AuthenticationException

      Specified by:
        `authenticate` in interface `org.apache.hadoop.security.authentication.server.AuthenticationHandler`
      Throws:
        `IOException`
        `org.apache.hadoop.security.authentication.client.AuthenticationException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.